# $Id: worm.sig,v 1.1 2003/09/10 06:13:29 vern Exp $

signature nimda {
	ip-proto == tcp
	dst-port == http_ports
	tcp-state established,originator
	http /.*\/((MSDAC|scripts)\/root|winnt\/system32)\/.*c\+dir$/
	event "Nimda"
}

signature codered1 {
	ip-proto == tcp
	dst-port == http_ports
	tcp-state established,originator
	http /.*\.id[aq]\?.*NNNNNNNNNNNNN/
	event "CodeRed 1"
}

signature codered2 {
	ip-proto == tcp
	dst-port == http_ports
	tcp-state established,originator
	http /.*\.id[aq]\?.*XXXXXXXXXXXXX/
	event "CodeRed 2"
}

# Taken from Snort
signature slammer {
	ip-proto == udp
	dst-port == 1434
	payload /.*\x81\xf1\x03\x01\x04\x9b\x81\xf1\x01/
	event "Slammer propagation attempt"
}
