# $Id: checkpoint.bro,v 1.2 2003/11/19 07:25:40 vern Exp $
#
# Checkpoints Bro's persistent state at regular intervals and scans
# the state directory for external updates.

const state_rescan_interval = 15 secs &redef;
const state_checkpoint_interval = 15 min &redef;

event state_checkpoint()
	{
	checkpoint_state();
	schedule state_checkpoint_interval { state_checkpoint() };
	}

event state_rescan()
	{
	rescan_state();
	schedule state_rescan_interval { state_rescan() };
	}

event bro_init()
	{
	schedule state_checkpoint_interval { state_checkpoint() };
	schedule state_rescan_interval { state_rescan() };
	}
